Subject: bug#43527: [PATCH] grep: avoid unneeded compilation of regex

From: Paul Eggert <[email-masked]>
Date: Sat, 26 Sep 2020 18:12:37 -0700

On 9/26/20 1:48 PM, Jim Meyering wrote:
> As far as I can see, this patch is not necessary (also, I could not
> reproduce your abort), so I'm closing this issue. Please reopen if you
> can demonstrate its utility.

When I looked into it last week, I did the same thing with an assert with the 
same results that you got.

In looking at the source code I thought that the patch wasn't needed for current 
'grep' and so could wait until after the release. The patch should be harmless 
(though this fact isn't trivial) and I can see it being useful for plausible 
future performance improvements, so it would make sense to install it after the 
next release.